gnutls_x509_policies_get(3)

NAME
gnutls_x509_policies_get - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_policies_get(gnutls_x509_policies_t policies, unsigned int seq, struct gnutls_x509_policy_st * policy);

ARGUMENTS

gnutls_x509_policies_t policies
    The policies

unsigned int seq
    The index of the name to get

struct gnutls_x509_policy_st * policy
    Will hold the policy

DESCRIPTION
This function will return a specific policy as stored in the policies type. The returned values should be treated as constant and valid for the lifetime of policies .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the index is out of bounds, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/